[Consulta] Instalación de software Hub Aquila - Prerequisitos para Windows, Mac OSX y Linux


#1

Para poder usar y desarrollar las aplicaciones para el Hub Aquila es importante tener instaladas las dependencias según tu sistema operativo.

Windows

Actualización: Ahora en Windows puedes usar el instalador que instala todo lo siguiente automáticamente (excepto el Visual Studio, eso si hay que instalarlo aparte). Descárgalo aquí: Instalador.

  1. Git y Git bash http://git-scm.com/download/win
  2. Python 2.7 https://www.python.org/downloads/
  3. Microsoft Visual Studio C++ Express 2010 (Incluye los compiladores necesarios para algunas dependencias al desarrollar aplicaciones en Node.js) http://go.microsoft.com/?linkid=9709958
  4. Node.js http://nodejs.org/
  5. MongoDB http://www.mongodb.org/downloads

Nota: Para todos los tutoriales donde se necesite usar la línea de comandos, se recomienda usar “Git Bash” en lugar del “cmd” de windows. “Git Bash” viene incluido al instalar Git.

Mac OSX

  1. Git http://git-scm.com/download/mac
  2. Node.js http://nodejs.org/
  3. MongoDB http://docs.mongodb.org/manual/tutorial/install-mongodb-on-os-x/

Linux (Ubuntu / Debian)

  1. build-essential: sudo apt-get install build-essential
  2. git: sudo apt-get install git
  3. Node.js v0.10.31 o superior: http://nodejs.org/
  4. MongoDB: sudo apt-get install mongodb

[Actualización / Tutorial] ¡Nueva versión del software del Hub Aquila! / Instrucciones de instalación
Recursos para Aquila (Documentación, código, etc.)